Log4jListener (Apache Ant API)
Keywords: org.apache.tools.ant.listener.Log4jListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.listener
Class Log4jListener

    java.lang.Object
      org.apache.tools.ant.listener.Log4jListener

All Implemented Interfaces:
  java.util.EventListener, BuildListener

    public class Log4jListener

extends java.lang.Object
implements BuildListener

Listener which sends events to Log4j logging system

Field Summary
`static java.lang.String` | `LOG_ANT` log category we log into

Constructor Summary
`Log4jListener()` Construct the listener and make sure there is a valid appender.

Method Summary
`void` | `buildFinished(BuildEvent event)` Signals that the last target has finished..
`void` | `buildStarted(BuildEvent event)` Signals that a build has started..
`void` | `messageLogged(BuildEvent event)` Signals a message logging event..
`void` | `targetFinished(BuildEvent event)` Signals that a target has finished..
`void` | `targetStarted(BuildEvent event)` Signals that a target is starting..
`void` | `taskFinished(BuildEvent event)` Signals that a task has finished..
`void` | `taskStarted(BuildEvent event)` Signals that a task is starting..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_ANT

    public static final java.lang.String LOG_ANT

  log category we log into

  See Also:
    Constant Field Values

Constructor Detail

### Log4jListener

    public Log4jListener()

  Construct the listener and make sure there is a valid appender.

Method Detail

### buildStarted

    public void buildStarted(BuildEvent event)

  Signals that a build has started. This event is fired before any targets have started.

  This event is fired before the project instance is fully configured. In particular no properties have been set and the project may not know its name or default target, yet.

  .

  Specified by:
    `buildStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.

### buildFinished

    public void buildFinished(BuildEvent event)

  Signals that the last target has finished. This event will still be fired if an error occurred during the build..

  Specified by:
    `buildFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### targetStarted

    public void targetStarted(BuildEvent event)

  Signals that a target is starting..

  Specified by:
    `targetStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getTarget()`

### targetFinished

    public void targetFinished(BuildEvent event)

  Signals that a target has finished. This event will still be fired if an error occurred during the build..

  Specified by:
    `targetFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### taskStarted

    public void taskStarted(BuildEvent event)

  Signals that a task is starting..

  Specified by:
    `taskStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getTask()`

### taskFinished

    public void taskFinished(BuildEvent event)

  Signals that a task has finished. This event will still be fired if an error occurred during the build..

  Specified by:
    `taskFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### messageLogged

    public void messageLogged(BuildEvent event)

  Signals a message logging event..

  Specified by:
    `messageLogged` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getMessage()`, `BuildEvent.getException()`, `BuildEvent.getPriority()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD